#small client based on the matlab function writeclient
__author__ = 'delerue'

import time
from datetime import datetime

# Echo client program
def writeclient_noreply(HOST,PORT,msg,verbose,waittime=0,logfile='',datedlog=''):
    "Writes msg on host HOST port PORT; verbose if verbose=1"
    import socket
    s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    s.connect((HOST, PORT))
    if (verbose==1):
        print 'Sending message ', msg, ' to host ', HOST, ' on port ', PORT
    if (datedlog!=''):
        date_str=datetime.now().strftime("_%Y%m%d")
        logfile=datedlog+date_str+".txt"
    if (logfile!=''):
        f = open(logfile, 'a')
        time_str=datetime.now().strftime("%Y%m%d %H:%M:%S")
        f.write("("+time_str+") > "+msg+"\n")
    s.sendall(msg)

#writeclient('127.0.0.1',50007,'Hello',1,datedlog='/Users/delerue/Downloads/writeclient_tmp')
